Osi 0.107.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
drop_zero_coefficients_action Class Reference

Removal of explicit zeros. More...

`#include <CoinPresolveZeros.hpp>`

Inheritance diagram for drop_zero_coefficients_action:
[legend]
Collaboration diagram for drop_zero_coefficients_action:
[legend]

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~drop_zero_coefficients_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, int *checkcols, int ncheckcols, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| drop_zero_coefficients_action (int nzeros, const dropped_zero *zeros, const CoinPresolveAction *next)

## Private Attributes
const int | nzeros_
const dropped_zero *const | zeros_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Removal of explicit zeros.

The presolve action for this class removes explicit zeros from the constraint matrix. The postsolve action puts them back.

Definition at line 32 of file CoinPresolveZeros.hpp.

## Constructor & Destructor Documentation

drop_zero_coefficients_action::drop_zero_coefficients_action | ( | int | nzeros,
|  | const dropped_zero * | zeros,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 37 of file CoinPresolveZeros.hpp.

virtual drop_zero_coefficients_action::~drop_zero_coefficients_action | ( |  | ) |
| inline virtual

Definition at line 54 of file CoinPresolveZeros.hpp.

## Member Function Documentation

const char* drop_zero_coefficients_action::name | ( |  | ) | const
| inline virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 45 of file CoinPresolveZeros.hpp.

static const CoinPresolveAction* drop_zero_coefficients_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | int * | checkcols,
|  | int | ncheckcols,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void drop_zero_coefficients_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int drop_zero_coefficients_action::nzeros_
| private

Definition at line 34 of file CoinPresolveZeros.hpp.

const dropped_zero* const drop_zero_coefficients_action::zeros_
| private

Definition at line 35 of file CoinPresolveZeros.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.10/CoinUtils/src/CoinPresolveZeros.hpp